<?php
global $biography_panels;
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;

/*defaults values*/
$biography_customizer_defaults['biography-home-origin-enable'] = 1;
$biography_customizer_defaults['biography-home-origin-button-text'] = esc_html__( 'Know More','biography' );
$biography_customizer_defaults['biography-home-origin-button-link'] = '#';
$biography_customizer_defaults['biography-home-origin-page'] = 0;
$biography_customizer_defaults['biography-home-origin-bg-image'] = get_template_directory_uri().'/assets/img/counter-bg.png';

/*originoptions*/
$biography_sections['biography-home-origin-options'] =
    array(
        'priority'       => 165,
        'title'          => esc_html__( 'Home/Front Story Section', 'biography' )
    );

/*originsetting*/
$biography_settings_controls['biography-home-origin-enable'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-origin-enable']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Enable Origin Story', 'biography' ),
            'section'               => 'biography-home-origin-options',
            'type'                  => 'checkbox',
            'priority'              => 10,
            'active_callback'       => ''
        )
    );


$biography_settings_controls['biography-home-origin-page'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-origin-page']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Select Page For Original Story', 'biography' ),
            'section'               => 'biography-home-origin-options',
            'type'                  => 'dropdown-pages',
            'priority'              => 20
        )
    );

$biography_settings_controls['biography-home-origin-bg-image'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-origin-bg-image'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Background Image', 'biography' ),
            'section'               => 'biography-home-origin-options',
            'type'                  => 'image',
            'description'           =>  esc_html__( 'If you remove image, default image will be shown as background image', 'biography' ),
            'priority'              => 30
        )
    );
/*defaults values*/
$biography_settings_controls['biography-home-origin-button-text'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-origin-button-text']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Browse All Button Text', 'biography' ),
            'section'               => 'biography-home-origin-options',
            'type'                  => 'text',
            'priority'              => 40,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-origin-button-link'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-origin-button-link']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Browse All Button Link', 'biography' ),
            'section'               => 'biography-home-origin-options',
            'type'                  => 'url',
            'priority'              => 50
        )
    );