<?php
global $biography_panels;
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;

/*defaults values*/
$biography_customizer_defaults['biography-home-testimonial-category'] = 0;

/*category selection*/
$biography_sections['biography-home-testimonial-category'] =
    array(
        'priority'       => 60,
        'title'          => esc_html__( 'Select Testimonial From Category', 'biography' ),
        'description'    => esc_html__( 'This option only work when you have selected "Category" in "Testimonial selection Options".', 'biography' ),
        'panel'          => 'biography-home-review'
    );

/*creating setting control for biography-home-testimonial-Category start*/
$biography_settings_controls['biography-home-testimonial-category'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-testimonial-category']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Select Category For Testimonial', 'biography' ),
            'section'               => 'biography-home-testimonial-category',
            'type'                  => 'category_dropdown',
            'priority'              => 30,
            'active_callback'       => ''
        )
    );